/* 
 * File:   kl.h
 * Author: stefano
 *
 * Created on March 1, 2012, 1:13 PM
 */

#ifndef KL_H
#define	KL_H

#ifdef	__cplusplus
extern "C" {
#endif
#include "systemic.h"
    
    ok_list* KL_alloc(const int size);
    void KL_free(ok_list* list);
    ok_list* KL_load(FILE* fid);
    
    gsl_vector* KL_getElements(const ok_list* kl, const int pl, const int el);
    gsl_vector* KL_getPars(const ok_list* kl, const int vo);
    gsl_matrix* KL_getElementsStats(const ok_list* kl, const int what);
    unsigned int KL_getSize(const ok_list* kl);
    void KL_removeAtIndex(ok_list* kl, const unsigned int idx);
    void KL_fprintf(const ok_list* kl, FILE* out, const char* fmt, const char* lfmt);
#ifdef	__cplusplus
}
#endif

#endif	/* KL_H */

